### Маршрут по-умолчанию Linux (default gateway)

Маршрут по-умолчанию задается при настройке сетевых интерфейсов в файле
`/etc/network/interfaces`
пример:
```
auto eth0
iface eth0 inet static
    address 192.168.5.2
    netmask 255.255.255.0
    gateway 192.168.5.1
```
Применение измений этого файла произойдут после перезагрузки системы.
Если необходимо сменить маршрут по-умолчанию немедленно:
_Узнать текущее значение можно_
```bash
ip ro sh
```
_Сначала необходимо удалить существующее значение маршрута по-умолчанию, это можно сделать несколькими командами_
```bash
sudo ip route delete default
```
_или_
```bash
sudo ip route del 0/0
```
_Теперь присвоить новое значение_
_Например, если IP - адрес роутера 192.168.1.1 и он соединен с локальным интерфейсом eth0, то:_
```bash
sudo route add default gw 192.168.1.1 eth0
```
_или_
```bash
sudo route add default gw 192.168.1.1
```
_или_
```bash
sudo ip route add default via 192.168.1.1
```